
Redmine - Patch #1433

Close statement handler in Redmine.pm

2008-06-12 16:34 - Mat Schaffer

Status: Closed Start date: 2008-06-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Description

I just set up Redmine.pm for svn authentication and noticed a lot of log entries like this:

DBI::db=HASH->disconnect invalidates 1 active statement handle (either destroy statement handles or call finish on them before

disconnecting) at /opt/code/redmine/extra/svn/Redmine.pm line 155.

Adding $sth->finish() fixes this and authentication is still working correctly.

Associated revisions

Revision 1539 - 2008-06-15 11:43 - Jean-Philippe Lang

Close statement handler in Redmine.pm (#1433).

History

#1 - 2008-06-15 11:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

Applied in r1539. Thanks.
